---
include:
  - local: definitions/rhel9/9.2/common.yml
  - local: definitions/plan-templates/kernel_tiers.yml

variables:
  DW_CHECKOUT: "kernel-qe-ci-gate-rhel-9-2-${CI_PIPELINE_ID}"
  REPORT_OSCI: "1"

kernel_cki_tier1:
  extends: [.release-kpet-runner, .kernel_cki_tier1, .kernel_matrix, .overrides]
  variables:
    OSCI_GATE_ONLY_FAIL: "1"
    OSCI_REPORT_RULES: '[{"when": "always", "send_to": ["ptalbert@redhat.com"]}, {"when": "failed_tests", "send_to": "failed_tests_maintainers"}, {"when": "always", "send_to": ["submitter"]}]'
    TEST_PACKAGE_NAME_ARCHES: >
      kernel-rt-x86_64
      kernel-rt-debug-x86_64
